MKTEMP(1)

NOMBRE
mktemp - crea un archivo o directorio temporal

SINOPSIS
mktemp [OPCIÓN]... [PLANTILLA]

DESCRIPCIÓN

Crea de forma segura un archivo o directorio temporal y muestra su nombre. PLANTILLA debe incluir por lo menos tres 'X' consecutivas en su última parte. Si no se define PLANTILLA, se usará tmp.XXXXXXXXX, y se supondrá la opción --tmpdir. Los archivos se crean con permiso u+rw y los directorios u+rwx, salvo que la el valor de umask sea más restrictivo.

-d, --directory
    crea un directorio en lugar de un archivo

-u, --dry-run
    solo muestra un nombre,no genera nada (inseguro).

-q, --quiet
    no muestra información acerca de errores en la creación de archivos/directorios.

--suffix=SUFF
    Añade SUFF a PLANTILLA. SUFF no puede contener barras. Esta opción se sobreentiende si PLANTILLA no termina con una 'X'.

-p DIR, --tmpdir[=DIR]
    interpreta PLANTILLA realtivo a DIR. Si DIR no está definido, emplea $TMPDIR y sino /tmp. Con esta opción, PLANTILLA no puede ser un nombre absoluto. Al contrario que con la opción -t, PLANTILLA puede contener barras pero mktemp solo creará la última parte.

-t  interpreta PLANTILLA como el nombre de un único archivo relativo al directorio $TMPDIR si está definido, sino relativo al directorio definido mediante -p y sino /tmp. [OBSOLETO].

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

AUTOR
Esrito por Jim Meyering y Eric Blake.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
mkstemp(3), mkdtemp(3), mktemp(3)

Documentación completa <https://www.gnu.org/software/coreutils/mktemp>
también disponible localmente ejecutando: info '(coreutils) mktemp invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.